#!ruby -Ks
# -*- mode: ruby; encoding: sjis -*-
# Last updated: <2014/01/21 01:29:02 +0900>

require 'dxruby'
require_relative 'globalwork'
require_relative 'enemyzakob'

# GGBpNX
class EnemyZakoBGen < Sprite
  attr_accessor :cnt, :timer, :x_tbl

  def initialize
    super
    self.cnt = 0
    self.timer = 0
    self.collision_enable = false
    self.x_tbl = [0.8, 0.65, 0.5, 0.1]
  end

  def update
    self.timer -= 1
    if self.timer <= 0
      x = Window.width * self.x_tbl[self.cnt]
      # x4@o
      4.times do |i|
        y = Window.height * (i * 0.2 + 0.2)
        $g.sprs_enemy.push(EnemyZakoB.new(x, y, $g.enemy_imgs))
      end
      self.timer = 90
      self.cnt += 1
      self.vanish if self.cnt >= self.x_tbl.length
    end
  end

  def draw
  end
end
