#!ruby -Ks
# -*- mode: ruby; encoding: sjis -*-
# Last updated: <2014/01/18 19:42:15 +0900>

require 'dxruby'
require_relative 'globalwork'
require_relative 'scene'

# [J[S\
class MakerLogo

  def initialize
    @image = Image.load("res/makerlogo.png")
    @alpha = 0
    @count = 0
  end

  # XV
  def update
    if $g.step_s == 0
      # 
      @alpha = 255
      @count = 0
      $g.step_s = 1
    end

    case $g.step_s
    when 1
      @count += 1
      $g.step_s += 1 if @count > (60 * 2.5) or Input.padPush?(P_BUTTON0)
    when 2
      # tF[hAEg
      @alpha -= 16
      if @alpha <= 0
        @alpha = 0
        $g.step = Scene::TITLE # ̃V[ֈڍs
        $g.step_s = 0 # TuXebv0ɂ΁AV[ŏ
      end
    end

    # `
    Window.drawAlpha(0, 0, @image, @alpha)
  end
end
