#!ruby -Ks
# -*- mode: ruby; encoding: sjis -*-
# Last updated: <2014/01/18 19:41:59 +0900>

require 'singleton'

require_relative 'globalwork'
require_relative 'makerlogo'
require_relative 'title'
require_relative 'gamemain'

# V[Ǘ
class Scene
  include Singleton

  MAKERLOGO = 0
  TITLE = 1
  GAMEMAIN = 2

  def initialize
    @makerlogo = MakerLogo.new
    @title = Title.new
    @gamemain = GameMain.instance

    $g.step = MAKERLOGO
    $g.step_s = 0
  end

  def update
    case $g.step
    when MAKERLOGO then @makerlogo.update
    when TITLE then @title.update
    when GAMEMAIN then @gamemain.update
    end
  end
end
