#!ruby -Ks
# -*- mode: ruby; encoding: sjis -*-
# Last updated: <2014/01/25 22:21:06 +0900>

require 'dxruby'
require_relative 'explosionborn'

# 킶oăvC[߂ĔłGGNX
class EnemyZakoB < Sprite
  attr_accessor :px, :py, :imgs, :step, :dx, :dy, :spd

  def initialize(x, y, imgs, spd=5)
    self.px = x
    self.py = y
    self.imgs = imgs
    self.image = self.imgs[2]
    set_xy
    super(self.x, self.y, self.image)
    self.alpha = 0
    self.collision = [4, 5, 27, 28]
    self.dx = 0
    self.dy = 0
    self.spd = spd
    self.collision_enable = false # o̓A^Ȃ
    self.step = 0
  end

  # XV
  def update
    if self.step == 0
      # o
      self.alpha += 5
      if self.alpha >= 255
        # oI
        self.alpha = 255

        # vC[ɂ߂px擾
        rad = $g.get_dir_player(self.px, self.py)

        # xݒ
        self.dx = self.spd * Math.cos(rad)
        self.dy = self.spd * Math.sin(rad)

        # A^Lɐݒ
        self.collision_enable = true
        self.step += 1
      end
    end

    # xZ
    self.px += self.dx
    self.py += self.dy
    set_xy

    # ʊOɏo
    iw, ih = self.image.width / 2, self.image.height / 2
    xmin, ymin = -iw, -ih
    xmax, ymax = Window.width + iw, Window.height + ih
    if self.px < xmin or self.py < ymin or self.px > xmax or self.py > ymax
      self.vanish
    end
  end

  # `ʒuݒ
  def set_xy
    self.x = self.px - self.image.width / 2
    self.y = self.py - self.image.height / 2
  end

  # vC[̒eɌĂ΂
  def hit(o)
    $g.add_score(10)
    ExplosionBorn.born_explosion(self.px, self.py, -2)
    self.collision_enable = false
    self.vanish
  end
end
