#!ruby -Ks
# -*- mode: ruby; encoding: sjis -*-
# Last updated: <2014/01/25 21:56:15 +0900>

require 'dxruby'

# AjOGtFNg
class ExplosionFlash < Sprite

  attr_accessor :px, :py, :imgs, :scale_d, :scale_a, :tscale

  #
  # 
  #
  # @param [int] x ʒux
  # @param [int] y ʒuy
  # @param [Image] img O摜
  # @param [int] z `[x
  # @param [float] ang ]pxBȗ̓_
  #
  def initialize(x, y, img, z, ang=nil)
    self.px, self.py, self.z = x, y, z
    self.image = img
    self.alpha = 255
    self.blend = :add
    self.scale_y = 0.5
    self.scale_x = self.scale_y * 0.5
    self.scale_d = 0.08
    self.scale_a = 0.002
    self.angle = (ang == nil)? rand(360) : ang
    super(x - img.width / 2, y - img.height / 2, img)
  end

  def update
    # gkύX
    self.scale_y = self.scale_y + self.scale_d
    self.scale_x = self.scale_y * 0.5
    self.scale_d -= self.scale_a if self.scale_d > self.scale_a

    # At@l炵āA0ȉɂȂł
    self.alpha -= 6
    self.vanish if self.alpha <= 0

    self.x = self.px - self.image.width / 2
    self.y = self.py - self.image.height / 2
  end
end
