#!ruby -Ks
# -*- mode: ruby; encoding: sjis -*-
# Last updated: <2014/01/18 15:26:12 +0900>

require 'dxruby'
require_relative 'globalwork'

# gameover\
class GameOverDisp < Sprite
  @@blackimg = nil
  @@logo = nil

  attr_accessor :step, :logo_alpha, :bg_alpha, :count, :scale

  def initialize
    unless @@blackimg
      @@blackimg = Image.new(640, 480, [255, 0, 0, 0])
      @@logo = Image.load("res/gameover.png")
    end
    x = (Window.width - @@logo.width) / 2
    y = (Window.height - @@logo.height) / 2
    super(x, y, @@logo)
    self.step = 0
    self.alpha = 0
    self.bg_alpha = 0
    self.z = 10
    self.count = 0
    self.scale = 3.0
  end

  # XV
  def update

    # S̓xύX
    self.alpha += 10
    self.alpha = 255 if self.alpha >= 255

    # ʃtF[hAEgp摜̓xύX
    self.bg_alpha += 3
    self.bg_alpha = 192 if self.bg_alpha >= 192

    # SɊgkăAj
    self.scale += (1.0 - self.scale) * 0.12
    self.scale_x = self.scale
    self.scale_y = 1.0 / self.scale
    if self.count & 0x02 == 0
      self.scale_x , self.scale_y = self.scale_y , self.scale_x
    end

    if self.count >= 240
      # 莞Ԃo߂̂ŁAQ[I[o[ɂȂ[tO𗧂Ă
      $g.set_gameover
      self.vanish
    end
    self.count += 1
  end

  # `揈
  def draw
    # ʑŜtF[hAEg
    Window.drawAlpha(0, 0, @@blackimg, self.bg_alpha, self.z)

    # S`
    super
  end
end

if $0 == __FILE__
  # eXg
  sprs = []
  count = 0
  Window.bgcolor = C_BLUE
  Window.loop do
    break if Input.keyPush?(K_ESCAPE)
    if count % 300 == 0
      sprs.push(GameOverDisp.new)
    end

    Sprite.update(sprs)
    Sprite.clean(sprs)
    Sprite.draw(sprs)
    count += 1
  end
end
