stg_sample01
============================

by mieki256 , 2014/01/26

概要
----------

DXRubyを使ったSTGのサンプルです。


動作確認環境
-------------

- Windows7 x64
- [Ruby 1.9.3p484 mingw32版](http://rubyinstaller.org/) 
- [DXRuby 1.5.8dev](http://dxruby.sourceforge.jp/) ([DXRuby プロジェクトWiki - ファイル置き場](http://dxruby.sourceforge.jp/cgi-bin/hiki.cgi?%A5%D5%A5%A1%A5%A4%A5%EB%C3%D6%A4%AD%BE%EC) から入手)
- [tmxライブラリ](http://rubygems.org/gems/tmx)


### tmxライブラリについて

[tmxライブラリ](http://rubygems.org/gems/tmx) を使っています。インストール方法は以下の通り。

    gem install tmx

- tmxライブラリの作者は、Shawn Anderson, Franklin Webber氏
- MIT License


License
----------

同梱の全ファイルは、Public Domain (or CC0) とします。

また、同梱はしていませんが、[tmxライブラリ](http://rubygems.org/gems/tmx) は MIT License です。


ファイルの説明
-------------------

メインの流れ

- main.rb ... 最初に実行するスクリプト
- scene.rb ... シーン管理
- makerlogo.rb ... 作者名表示シーン
- title.rb ... タイトル画面シーン
- gamemain.rb ... ゲームメイン部分シーン

ワーク管理その他

- globalwork.rb ... グローバル変数をまとめたクラス
- gamemath.rb ... ゲームの計算用メソッドをまとめたクラス

BG用

- bgdisp.rb ... BG管理用
- dxrbtmx.rb ... tmxをDXRubyで使用可能にするクラス
- bgatari.rb ... BGアタリ処理用
- starrasterbg.rb ... 星空をラスタースクロールさせるクラスBG
- bgcloud.rb ... 雲海BG管理用
- floorraster.rb ... 遠近感をつけてBGをスクロールさせるクラス

プレイヤー関係

- player.rb ... プレイヤー処理
- playershot.rb ... プレイヤーショット
- playermissile.rb ... プレイヤーミサイル
- deadeffect.rb ... プレイヤー被弾時のエフェクト
- shotdead.rb ... プレイヤーショット消滅エフェクト 

敵関係

- enemyborn.rb ... 敵発生処理
- enemyzakoagen.rb ... 雑魚敵A発生管理
- enemyzakobgen.rb ... 雑魚敵B発生管理
- enemyzakoa.rb ... 雑魚敵A。サインカーブを描くタイプ
- enemyzakob.rb ... 雑魚敵B。突然出現するタイプ
- enemyzakoc.rb ... 雑魚敵C。プレイヤーを追いかけるタイプ
- enemycannon.rb ... 敵砲台
- enemyshot.rb ... 敵弾
- stage1boss.rb ... ボス敵

エフェクト関係
 
- explosionborn.rb ... 爆発エフェクト発生
- explosionone.rb ... 爆発エフェクト一つ分
- explosionflash.rb ... 爆発時のリングエフェクト
- explosionborn2.rb ... ボス敵爆発エフェクト
- screenflash.rb ... 画面フラッシュ用クラス

ロゴ表示

- gameoverdisp.rb ... ゲームオーバー表示
- stageclearlogo.rb ... ステージクリアロゴ表示
